Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ContentLink

All Superinterfaces:
  Document, Item, Localized, Placeable, WCMApiObject

    public interface ContentLink

extends Document, Placeable

A `ContentLink` object represents a link to a Content item in the WCM repository.

Method Summary
`DocumentId` | `getContentId()` Get the ID of the `Content` linked to by this `ContentLink`.
`DocumentId` | `getParentId()` Get the ID of the parent `SiteArea` that contains this `ContentLink`.

Methods inherited from interface com.ibm.workplace.wcm.api.Placeable
`getValidSiblingTypes`

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Method Detail

### getContentId

    DocumentId getContentId()

  Get the ID of the `Content` linked to by this `ContentLink`.

  Returns:
    ID of the linked `Content`.

### getParentId

    DocumentId getParentId()

  Get the ID of the parent `SiteArea` that contains this `ContentLink`.

  Returns:
    ID of the parent `SiteArea`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD